## libdevel-callsite-perl 0.08

=== t/Makefile ===
# Whatever it is you want to do, it should be handled by the main
# (parent) Makefile. So reissue make from there.
PHONY=check all

#: Default target - the parent's testing or "check" target
all:
	$(MAKE) -C .. -f Makefile check

#: Whatever it is you want to do, it should be handled by the parent
%:
	$(MAKE) -C .. -f Makefile $@

## libdevel-callsite-perl 0.07

=== debian/changelog ===
libdevel-callsite-perl (0.07-1) unstable; urgency=low

  * Initial Release (Closes: #725683).

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Oct 2013 14:22:15 +0200

=== debian/control ===
Source: libdevel-callsite-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper (>= 9),
 perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libdevel-callsite-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libdevel-callsite-perl.git
Homepage: https://metacpan.org/release/Devel-Callsite/

Package: libdevel-callsite-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Perl module to get caller return OP address and Perl interpreter context
 Devel::Callsite module provides subroutines to get the caller return OP
 address and perl interpreter context.
 .
 The callsite() function returns the OP address of the caller, a number,
 one level up from where it was called. It's useful for functions that
 need to uniquely know where they were called, such as Every::every();
 see Every. Or it can be used to pinpoint a location with finer
 granularity than a line number (see
 http://www.perlmonks.com/?node_id=987268). In conjunction with an OP
 tree disassembly you can know exactly where the caller is located in
 the Perl source.
 .
 The context() function returns the interpreter context as a number.
 This is a fairly unique number together with the call site.

=== debian/watch ===
version=3
https://metacpan.org/release/Devel-Callsite/   .*/Devel-Callsite-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libdevel-callsite-perl 0.08

=== debian/changelog ===
libdevel-callsite-perl (0.08-1build2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Dec 2015 15:27:41 +0000

libdevel-callsite-perl (0.08-1build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2014 12:01:51 +0100

libdevel-callsite-perl (0.08-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.08
  * Remove copyright comment for upstream files.
    The status about missing copyright and license is now corrected in new
    upstream version for Devel::Callsite.
  * Update copyright years for debian/* packaging files
  * Drop manpage-has-bad-whatis-entry.patch patch
  * Declare compliance with Debian Policy 3.9.5
  * Adjust Build-Depends on debhelper to debhelper >= 9.20120312~
    Bump version to debhelper version at least >= 9.20120312~ to get all
    hardening flags correctly.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 11 Mar 2014 08:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20120312~),
  perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libdevel-callsite-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libdevel-callsite-perl.git
-Homepage: https://metacpan.org/release/Devel-Callsite/
+Homepage: https://metacpan.org/release/Devel-Callsite
 
 Package: libdevel-callsite-perl
 Architecture: any

## libdevel-callsite-perl 0.10

=== debian/changelog ===
libdevel-callsite-perl (0.10-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Import upstream version 0.10
  * Update copyright years for debian/* packaging files
  * Add copyright stanza for included ppport.h
  * debian/copyright: Add GPL-1+ license stanza
  * Declare compliance with Debian policy 4.0.0
  * Declare package as autopkgtest'able
  * debian/rules: Build enabling all hardening flags

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 04 Aug 2017 08:38:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 9.20120312~),
  perl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libdevel-callsite-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libdevel-callsite-perl.git
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libdevel-callsite-perl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libdevel-callsite-perl.git
 Homepage: https://metacpan.org/release/Devel-Callsite
+Testsuite: autopkgtest-pkg-perl
 
 Package: libdevel-callsite-perl
 Architecture: any

## libdevel-callsite-perl 1.0.1

=== debian/changelog ===
libdevel-callsite-perl (1.0.1-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:09 +1100

libdevel-callsite-perl (1.0.1-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:50:19 +0100

libdevel-callsite-perl (1.0.1-2build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:40:54 +0100

libdevel-callsite-perl (1.0.1-2build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 11:48:47 +0100

libdevel-callsite-perl (1.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Jul 2022 18:51:39 +0200

libdevel-callsite-perl (1.0.1-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org
  * Import upstream version 1.0.1
  * Set Rules-Requires-Root to no
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 10
  * Declare compliance with Debian policy 4.1.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 31 Jul 2018 21:29:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: libdevel-callsite-perl
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Salvatore Bonaccorso <carnil@debian.org>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper (>= 9.20120312~),
- perl
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libdevel-callsite-perl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libdevel-callsite-perl.git
+Build-Depends: debhelper-compat (= 13),
+               perl-xs-dev,
+               perl:native
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdevel-callsite-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdevel-callsite-perl.git
 Homepage: https://metacpan.org/release/Devel-Callsite
-Testsuite: autopkgtest-pkg-perl
+Rules-Requires-Root: no
 
 Package: libdevel-callsite-perl
 Architecture: any
-Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Description: Perl module to get caller return OP address and Perl interpreter context
  Devel::Callsite module provides subroutines to get the caller return OP
  address and perl interpreter context.

=== debian/watch ===
version=4
https://metacpan.org/release/Devel-Callsite   .*/Devel-Callsite-v?@ANY_VERSION@@ARCHIVE_EXT@$
